FishOutFishOut

Update account name

PATCH/account

Update account name. API keys receive a browser continuation; OAuth acts as its consenting user.

Authorization

AuthorizationBearer <token>

Scoped FishOut API key. Never send credentials in query parameters.

In: header

Header Parameters

Idempotency-Key*string

Reuse for retries of the same action for 24 hours. A changed body returns 409.

Length8 <= length <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/account" \  -H "Idempotency-Key: stringst" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "data": "string",  "meta": {    "requestId": "string",    "replayed": true  }}